# &kde; naudotojo vadovas

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Atstatomas sistemos konfigūracijos krepšys.

## Apžvalga

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Aprašymas

`kbuildsycoca4`, kaip &kde; komandinės eilutės įrankių dalis, užtikrina tinkamą &kde; veikimą, perskaitydama visus `.desktop`, `.xml` ir `.protocol` failus ir sukuria dvejetainę duomenų bazę.

&kde; naudoja šią duomenų bazę veikimo metu, kad galėtų suteikti reikiamą informaciją veikiančioms programoms.

Šis įrankis yra ksyscoca4 dalis, kuri reiškia &kde; sistemos configuracijos krepšys

## Parinktys

`--nosignal`

  Nesignalizuoti programoms dėl atnaujinimų

`--noincremental`

  Išjungti papildymų atnaujinimus, iš naujo viską perskaityti

`--checkstamps`

  Patikrinti failų laiko žymes

`--nocheckfiles`

  Išjungti failų tikrinimą (pavojinga)

`--global`

  Sukurti globalią duomenų bazę.

`--menutest`

  Atlikti meniu generavimo testą tik paleidimui

`--track menu-id`

  Išriktavimo tikslais nustatyti meniu id

`--help`

  Rodyti pagalbą apie parinktis

`--help-qt`

  Rodyti Qt specifines parinktis

`--help-kde`

  Rodyti KDE specifines parinktis

`--help-all`

  Rodyti visas parinktis

`--author`

  Rodyti informaciją apie autorius

`-v , --version`

  Rodyti versijos informaciją

`--license`

  Rodyti licencijos informaciją

## Naudojimas

Įprastas šios programos paleidimo būdas yra tiesiog įvykdyti tokiąi komandą komandinėje eilutėje ``kbuildsycoca4``

## Failai

`/var/tmp/kde-$USER/ksycoca4`

  Numatytasis aplankas, kur saugomi krepšio failai.

## Aplinkos kintamieji

$`KDEDIRS`

  Nurodo, kurie aplankai yra &kde; diegimo dalis

$`KDESYCOCA`

  Nurodo kelia iki sycoca duomenų bazės failo

## Taip pat žiūrėkite

kdeinit4

## Ydos

Tikriausiai yra daug ydų. Pranešikite apie jas adresu bugs.kde.org.